<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:f="http://xmlns.jcp.org/jsf/core"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets">
<head>
<title>Guess a number</title>
</head>

<body>
<h1>Guess a number</h1>
	<h:form>
		<h:outputLabel>Number to guess</h:outputLabel>
		<h:inputText id="number" value="#{ guessANumberBean.submitedNumber }" >
<!-- 			<f:validateLongRange minimum="1" maximum="10"/>
			<f:validateRequired for="number"/> -->
		</h:inputText>
		<h:message for="number" />
		<h:commandButton value="Guess" action="#{ guessANumberBean.guess }"/>
	</h:form>
	
	<h:outputText value="Bravo" rendered="#{ guessANumberBean.result eq true}" />
	<h:outputText value="Perdu" rendered="#{ guessANumberBean.result eq false}" /> 
	
</body>
</html>
